NoteCase: "Gtk-CRITICAL **: gtk_tree_model_get_iter: assertion `path->depth > 0' failed"

Bug #137464 reported by edschofield on 2007-09-05
2
Affects Status Importance Assigned to Milestone
notecase (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: notecase

With NoteCase 1.5.6 in Gutsy (notecase_1.5.6-0ubuntu1) on amd64, demoting a second-level node to the first level causes a failed assertion:

(notecase:13031): Gtk-CRITICAL **: gtk_tree_model_get_iter: assertion `path->depth > 0' failed

The program seems to continue to function fine, but this may indicate a bug in NoteCase or GTK.

Steps to reproduce:
1. Right click the left pane, choose insert node.
2. Right click the new node, choose insert child node.
3. Right click the child node, choose move left or move up.

Related branches

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package notecase - 1.7.6-0ubuntu1

---------------
notecase (1.7.6-0ubuntu1) hardy; urgency=low

  * New Upstream Release (Closes LP: #182226)
  * Fix failed assertion when change node level (Closes LP: #137464)
  * Exclude help.ncd and any .ncd file from compression (Closes LP: #113959)
  * Adapted debian/ directory to upstream deb/ directory
  * Add debian/watch file
  * Remove debian/README.Debian because it is now unnecessary
  * Bump up compat level from 4 to 5
  * Updating debian/menu file to use the new menu hierarchy
  * Modify debian/control file
  * Bump up Standards-Version field from 3.6.1 to 3.7.3
  * Change Section field from x11 to editors
  * Change Build-Depends debhelper version to >=5, libgtk2.0-dev to >=2.4
  * Move Homepage field from description to regular field

 -- Mitsuya Shibata <email address hidden> Fri, 18 Jan 2008 01:54:05 +0900

Changed in notecase:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers